> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Identity

> customer identity



## OpenAPI

````yaml /openapi/financial-data.json post /accounts/identity
openapi: 3.0.2
info:
  title: Flick Financial Data API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Account LookUp
    description: Getting Accounts from Banks
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Credit Report
    description: Getting Credit Report of Bank
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /accounts/identity:
    post:
      tags:
        - ''
      summary: Identity
      description: customer identity
      operationId: '  identification '
      requestBody:
        description: IDENTIFICATION
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Identity'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentityResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '404':
          description: accountNumber length must be 10 characters long
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Identity:
      required:
        - accountNumber
      type: object
      properties:
        accountNumber:
          type: string
          example: '0022331144'
    IdentityResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            email:
              type: string
              example: customer@getDflick.com
            phone:
              type: string
              example: '07000319811'
            bvn:
              type: string
              example: '0033889933'
            dob:
              type: string
              example: 01-10-2023
            gender:
              type: string
              example: male
            maritalStatus:
              type: string
              example: married
            address:
              type: string
              example: 4b lekki lagos
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.